API reference
All operations
INSPECTION

Uploads an image file for a specific inspection item.

POST/api/v2/inspections/record/images/upload

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Request body

multipart/form-datarequired

The request containing assignedInspectionId, assignedIteId, mobileImageId, and the imageFile.

object
  • AssignedInspectionIdinteger · int32
  • AssignedItemIdinteger · int32
  • ImageFilefile
  • MobileImageIdstring

Responses

Image uploaded successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataInspectionImageUploadResult
  • assignedInspectionIdinteger · int32
  • assignedItemIdinteger · int32
  • imageIdinteger · int32
  • mobileImageIdstring
  • fullUrlstring
  • cloudinaryUrlstringnullable
  • previewUrlstringnullable